В WordPress 6.3 будет прекращена поддержка PHP 5

0 7

Разработчики WordPress решили отказаться от поддержки PHP 5 в предстоящем релизе 6.3, который ожидается 8 августа. Сейчас минимальной поддерживаемой версией PHP для WordPress является PHP 5.6.20, что было установлено еще в 2019 году. В следующем релизе минимальной поддерживаемой версией будет PHP 7.0.0. При этом рекомендуемая версия PHP останется прежней – 7.4 и выше.

«Минимальная поддерживаемая версия PHP в последний раз корректировалась еще в 2019 году, когда вышел релиз WordPress 5.2, и с тех пор использование PHP 5.6 упало до 3.9% среди отслеживаемых установок WP по состоянию на июль 2023 года», — поделился статистикой разработчик WordPress Джон Блэкберн.

«Исторически мы использовали 5% в качестве порогового значения, когда нужно прекращать поддержку той или иной версии PHP. Однако замечу, что формально это нигде не зафиксировано. Сегодня, когда процент использования PHP 5.6 упал ниже 3.9% и продолжает снижаться каждые несколько недель на 0,1%, у нас нет никаких причин оставаться на этой минимальной версии».

Джон также подчеркнул, что в WordPress уже хорошо реализована поддержка PHP 8.0, 8.1 и 8.2, и разработчики в скором времени смогут снять ярлык «beta» с поддержки указанных PHP-версий (сейчас они тегируются именно так). Примерно 26% пользователей WP в данный момент работают с PHP 8.0 и выше.

В WordPress 6.3 будет прекращена поддержка PHP 5

Некоторые хостинги уже призывали пользователей переходить к новым версиям PHP. К примеру, Dreamhost взимает дополнительную плату за сайты, которые требуют поддержки PHP 7.4 и более ранних версий. Аналогичная политика применяется в сервисах IONOS и Strato.

Решение поднять минимальную поддерживаемую версию PHP было принято после продолжительного семимесячного обсуждения, которое на удивление не вызвало существенного протеста. Для сайтов, работающих на PHP 5.6, по-прежнему будут поставляться обновления безопасности, поскольку проект выкатывает их вплоть до версий WP 4.1. Повышение минимально поддерживаемой версии PHP до 7.0.0 даст массу преимуществ для экосистемы тем и плагинов WordPress, существенно сократит потребление памяти, а также обеспечит лучшую безопасность.

«У нас нет какого-то графика, связанного с увеличением минимально поддерживаемой версии PHP», — отметил Джон. – «Команда разработчиков продолжает отслеживать использование версий PHP и работать с хостингами, чтобы мотивировать пользователей к обновлению PHP. В обозримом будущем мы все так же планируем отталкиваться от порога в 5%».

Источник: wptavern.com

Источник: oddstyle.ru

Оставьте ответ

Ваш электронный адрес не будет опубликован.